## bluetooth-data-tools 1.19.3

=== debian/changelog ===
bluetooth-data-tools (1.19.3-1) unstable; urgency=medium

  * Update Standards-Version.
  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 28 Jun 2024 11:26:14 +0100

bluetooth-data-tools (1.19.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 17 Apr 2024 10:07:41 +0100

bluetooth-data-tools (1.19.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1065657)

 -- Edward Betts <edward@4angle.com>  Sat, 09 Mar 2024 18:27:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bluetooth-data-tools
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bluetooth_data_tools.egg-info/ src/bluetooth_data_tools/*.c

## bluetooth-data-tools 1.28.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

.PHONY: help livehtml Makefile

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Build, watch and serve docs with live reload
livehtml:
	sphinx-autobuild -b html -c . $(SOURCEDIR) $(BUILDDIR)/html

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## bluetooth-data-tools 1.19.4

=== debian/changelog ===
bluetooth-data-tools (1.19.4-1) unstable; urgency=medium

  * New upstream release.
  * Pass --no-cov to pytest to avoid generating coverage statistics.

 -- Edward Betts <edward@4angle.com>  Mon, 12 Aug 2024 12:44:42 +0100

=== debian/control ===
Source: bluetooth-data-tools
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-cryptography <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bdraco/bluetooth-data-tools
Vcs-Browser: https://salsa.debian.org/python-team/packages/bluetooth-data-tools
Vcs-Git: https://salsa.debian.org/python-team/packages/bluetooth-data-tools.git

Package: python3-bluetooth-data-tools
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python tools for converting bluetooth data and packets
 Comprehensive suite of utilities for managing and transforming Bluetooth data
 and packets within Python applications.
 .
 Key features:
 .
  - Data Conversion Tools: Functions to convert Bluetooth data into various
    formats, facilitating easier manipulation and analysis.
  - Packet Parsing: Utilities to parse Bluetooth advertisement data, enhancing
    the ability to interpret and utilize information broadcasted by BLE devices.
  - Privacy Enhancements: Methods to resolve private addresses using identity
    resolving keys (IRK), increasing security and privacy in Bluetooth
    communications.
  - Distance Calculation: Functionality to estimate the distance between
    devices based on signal strength, useful for proximity-based applications.
  - Utility Functions: A collection of helper functions to perform common tasks
    such as converting MAC addresses to integers, generating human-readable
    names for devices, and extracting the newest manufacturer data from
    advertisement packets.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=bluetooth-data-tools
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export PYBUILD_TEST_ARGS=--no-cov
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bluetooth-data-tools-$1\.tar\.gz/ \
  https://github.com/bdraco/bluetooth-data-tools/tags .*/v?(\d\S+)\.tar\.gz

## bluetooth-data-tools 1.20.0

=== debian/changelog ===
bluetooth-data-tools (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 31 Aug 2024 10:28:09 +0100

## bluetooth-data-tools 1.22.0

=== debian/changelog ===
bluetooth-data-tools (1.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Upstream added pytest-codspeed for benchmarking, but it is not available
    on all architectures so we skip benchmark tests for now.
  * Simplify debian/watch.
  * Simplify debian/rules.
  * Add missing Build-Depends on python3-setuptools. (Closes: #1080559)
  * Move files to clean from override_dh_auto_clean to debian/clean.

 -- Edward Betts <edward@4angle.com>  Sat, 18 Jan 2025 08:06:48 -0600

## bluetooth-data-tools 1.23.4

=== debian/changelog ===
bluetooth-data-tools (1.23.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 08 Feb 2025 07:59:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: bluetooth-data-tools
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-cryptography <!nocheck>,
-               python3-poetry-core,
-               python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+ python3-cryptography <!nocheck>,
+ python3-poetry-core,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/bdraco/bluetooth-data-tools
@@ -19,7 +22,10 @@
 
 Package: python3-bluetooth-data-tools
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Python tools for converting bluetooth data and packets
  Comprehensive suite of utilities for managing and transforming Bluetooth data
  and packets within Python applications.

## bluetooth-data-tools 1.26.1

=== debian/changelog ===
bluetooth-data-tools (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 16 Mar 2025 07:40:44 +0000

bluetooth-data-tools (1.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Mar 2025 06:15:05 +0100

bluetooth-data-tools (1.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sat, 08 Mar 2025 09:55:09 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/bdraco/bluetooth-data-tools
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bluetooth-data-tools
 Vcs-Git: https://salsa.debian.org/python-team/packages/bluetooth-data-tools.git

=== debian/watch ===
version=4
https://github.com/bdraco/bluetooth-data-tools/tags .*/v?(\d\S+)\.tar\.gz

## bluetooth-data-tools 1.28.1

=== debian/changelog ===
bluetooth-data-tools (1.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 29 Apr 2025 18:15:38 +0300

bluetooth-data-tools (1.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Add version to python3-setuptools build dependency instead of PEP 639
    patch.

 -- Edward Betts <edward@4angle.com>  Wed, 16 Apr 2025 09:14:03 +0100

bluetooth-data-tools (1.26.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 03 Apr 2025 09:17:36 +0100

bluetooth-data-tools (1.26.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 02 Apr 2025 08:31:43 +0100

bluetooth-data-tools (1.26.2-2) unstable; urgency=medium

  * Patch pyproject.toml to work with older versions setuptools that are
    missing the latest PEP 639 changes. (Closes: #1101618)
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Tue, 01 Apr 2025 21:07:43 +0100

bluetooth-data-tools (1.26.2-1) unstable; urgency=medium

  * New upstream release.
  * Needs setuptools version 77 because of pyproject.toml PEP 639 changes.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Mar 2025 04:54:00 +0000

## bluetooth-data-tools 1.28.2

=== debian/changelog ===
bluetooth-data-tools (1.28.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 06 Jul 2025 18:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
  python3-cryptography <!nocheck>,
  python3-poetry-core,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-setuptools (>= 77),
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/bdraco/bluetooth-data-tools
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bluetooth-data-tools
 Vcs-Git: https://salsa.debian.org/python-team/packages/bluetooth-data-tools.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-bluetooth-data-tools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/benchmarks

%:
	dh $@ --buildsystem=pybuild

## bluetooth-data-tools 1.28.3

=== debian/changelog ===
bluetooth-data-tools (1.28.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 07 Oct 2025 13:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools (>= 77),
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/bdraco/bluetooth-data-tools
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bluetooth-data-tools

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/benchmarks

=== debian/watch ===
Version: 5

Template: Github
Owner: bdraco
Project: bluetooth-data-tools

## bluetooth-data-tools 1.28.4

=== debian/changelog ===
bluetooth-data-tools (1.28.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 05 Nov 2025 08:33:28 +0000
